## kmailtransport 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")
project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_STANDARD 20)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

set(QT_REQUIRED_VERSION "6.8.0")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport6\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KSMTP_LIB_VERSION "6.5.1")
set(KGAPI_LIB_VERSION "6.5.1")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

########### Find packages ###########
find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6SMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

if(BUILD_TESTING)
    find_package(Qt6Test CONFIG REQUIRED)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### Targets ###########
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILTRANSPORT
        FILE kmailtransport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
add_library(KPim6MailTransport)
add_library(KPim6::MailTransport ALIAS KPim6MailTransport)

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfigVersion.cmake"
    SOVERSION 6
)

target_sources(
    KPim6MailTransport
    PRIVATE
        transport.cpp
        transportmanager.cpp
        transporttype.cpp
        transportjob.cpp
        precommandjob.cpp
        socket.cpp
        servertest.cpp
        outlookoauthtokenrequester.cpp
)

target_sources(
    KPim6MailTransport
    PRIVATE
        widgets/transportconfigwidget.cpp
        widgets/transportcombobox.cpp
        widgets/addtransportdialogng.cpp
        widgets/addtransportdialogng.h
        widgets/transportcombobox.h
        widgets/transportconfigwidget_p.h
        widgets/transportconfigwidget.h
        widgets/transportmanagementwidgetng.cpp
        widgets/transportmanagementwidgetng.h
        widgets/transporttreeview.h
        widgets/transporttreeview.cpp
        widgets/transporttreedelegate.h
        widgets/transporttreedelegate.cpp
        widgets/transportactivitiesabstractplugin.h
        widgets/transportactivitiesabstractplugin.cpp
        transportactivitiesabstract.h
        transportactivitiesabstract.cpp
        transportmodel.h
        transportmodel.cpp
        transportsortproxymodel.h
        transportsortproxymodel.cpp
)

target_sources(
    KPim6MailTransport
    PRIVATE
        plugins/transportabstractplugin.cpp
        plugins/transportpluginmanager.cpp
)
target_sources(
    KPim6MailTransport
    PRIVATE
        transporttype_p.h
        mailtransport_defs.h
        socket.h
        outlookoauthtokenrequester.h
        precommandjob.h
        transport_p.h
        transport.h
        kmailtransport_private_export.h
        plugins/transportpluginmanager.h
        plugins/transportabstractplugin.h
        transportjob.h
        transportmanager.h
        transporttype.h
        servertest.h
)

ecm_qt_declare_logging_category(KPim6MailTransport HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME org.kde.pim.mailtransport
        DESCRIPTION "kmailtransport (kmailtransport)"
        OLD_CATEGORY_NAMES log_mailtransport
        EXPORT MAILTRANSPORT
)

ki18n_wrap_ui(KPim6MailTransport
    ui/addtransportdialog.ui
    ui/transportmanagementwidgetng.ui
)

kconfig_add_kcfg_files(KPim6MailTransport GENERATE_MOC transportbase.kcfgc)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6MailTransport
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(KPim6MailTransport BASE_NAME mailtransport)

target_include_directories(
    KPim6MailTransport
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport>"
)
target_include_directories(
    KPim6MailTransport
    PUBLIC
        "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6MailTransport
    PUBLIC
        KF6::ConfigGui
    PRIVATE
        KF6::I18n
        KF6::WidgetsAddons
        KF6::CoreAddons
        KF6::ConfigWidgets
        Qt::DBus
        Qt::Network
)

if(TARGET KF6::Wallet)
    target_link_libraries(KPim6MailTransport PRIVATE KF6::Wallet)
endif()

target_link_libraries(KPim6MailTransport PRIVATE qt6keychain)

set_target_properties(
    KPim6MailTransport
    PROPERTIES
        VERSION
            ${MAILTRANSPORT_VERSION}
        SOVERSION
            ${MAILTRANSPORT_SOVERSION}
        EXPORT_NAME
            MailTransport
)

install(TARGETS KPim6MailTransport EXPORT KPim6MailTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES mailtransport.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_generate_headers(MailTransport_CamelCase_HEADERS
    HEADER_NAMES
    PrecommandJob
    ServerTest
    Transport
    TransportJob
    TransportManager
    TransportType
    TransportModel
    OutlookOAuthTokenRequester
    TransportActivitiesAbstract
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_HEADERS
)

ecm_generate_headers(MailTransport_widgets_CamelCase_HEADERS
    HEADER_NAMES
    TransportComboBox
    TransportConfigWidget
    TransportManagementWidgetNg
    TransportActivitiesAbstractPlugin
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_widgets_HEADERS
    RELATIVE widgets
)

ecm_generate_headers(MailTransport_plugins_CamelCase_HEADERS
    HEADER_NAMES
    TransportAbstractPlugin
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_plugins_HEADERS
    RELATIVE plugins
)

install(
    FILES
        ${MailTransport_SOURCE_DIR}/src/widgets/transportconfigwidget_p.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport/mailtransport/private
    COMPONENT Devel
)

install(
    FILES
        ${MailTransport_CamelCase_HEADERS}
        ${MailTransport_widgets_CamelCase_HEADERS}
        ${MailTransport_plugins_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport/MailTransport/
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h
        ${MailTransport_HEADERS}
        ${MailTransport_widgets_HEADERS}
        ${MailTransport_plugins_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport/mailtransport
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailTransport")

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailTransport
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
    add_subdirectory(plugins/tests)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MailTransport_QCH
        NAME KMailTransport
        BASE_NAME KPim6MailTransport
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailTransport_HEADERS}
            ${MailTransport_widgets_HEADERS}
            ${MailTransport_plugins_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILTRANSPORT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailTransport_QCH
        FILE KPim6MailTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailTransportQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailTransportTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailTransportTargets.cmake
    NAMESPACE KPim6::
)

add_subdirectory(plugins/smtp)

=== src/plugins/tests/CMakeLists.txt ===
include(ECMMarkAsTest)
add_executable(
    transportmanagertest
    transportmanagertest.cpp
    transportmanagertest.h
)
ecm_mark_as_test(transportmanagertest)
target_link_libraries(transportmanagertest KPim6MailTransport)

=== debian/changelog ===
kmailtransport (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:09:47 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkgapi-dev (>= 25.08.1~),
               libksmtp-dev (>= 25.08.1~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Rules-Requires-Root: no

Package: kmailtransport-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: mail transport akonadi library - plugins
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the SMTP plugin.

Package: libkmailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkpim5mailtransport-data,
        libkf5mailtransport-data,
        libkf5mailtransport5 (<< 20.04.1-2~),
Replaces: libkpim5mailtransport-data,
          libkf5mailtransport-data,
          libkf5mailtransport5 (<< 20.04.1-2~),
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkmailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.3.0~),
         libkpim6mailtransport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkpim6mailtransport6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkmailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.

## kmailtransport 25.08.1+p24.04+vstable+git20250926.0954

=== debian/changelog ===
kmailtransport (25.08.1+p24.04+vstable+git20250926.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:54:01 +0000

kmailtransport (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:30:39 +0000

kmailtransport (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:56:15 +0000

kmailtransport (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:30:38 +0000

kmailtransport (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:30:43 +0000

kmailtransport (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:20:11 +0000

kmailtransport (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:28:16 +0000

kmailtransport (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:50:07 +0000

kmailtransport (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:34:49 +0000

kmailtransport (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:26:57 +0000

kmailtransport (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:22:39 +0000

kmailtransport (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:30:54 +0000

kmailtransport (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:08:44 +0000

kmailtransport (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:39:36 +0000

kmailtransport (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:37:25 +0000

kmailtransport (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:16:38 +0000

kmailtransport (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:36:33 +0000

kmailtransport (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:27:40 +0000

kmailtransport (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:19:04 +0000

kmailtransport (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:58:43 +0000

kmailtransport (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:02:51 +0000

kmailtransport (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:33:36 +0000

kmailtransport (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:13:41 +0000

kmailtransport (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:04:19 +0000

kmailtransport (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:54:40 +0000

kmailtransport (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:24:34 +0000

kmailtransport (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:59:51 +0000

kmailtransport (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:35:43 +0000

kmailtransport (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:43:28 +0000

kmailtransport (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 16:00:37 +0000

kmailtransport (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:28:06 +0000

kmailtransport (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:04:54 +0000

kmailtransport (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:50:18 +0000

kmailtransport (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:11:51 +0000

kmailtransport (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:12:02 +0000

kmailtransport (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:22:53 +0000

kmailtransport (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 15:48:25 +0000

kmailtransport (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:08:30 +0000

kmailtransport (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:13:54 +0000

kmailtransport (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 11:09:05 +0000

kmailtransport (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:21 +0000

kmailtransport (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:44:25 +0000

kmailtransport (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:56:11 +0000

kmailtransport (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:25:54 +0000

kmailtransport (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:56:58 +0000



## kmailtransport 25.08.1+p24.04+vstable+git20250930.0457

=== debian/changelog ===
kmailtransport (25.08.1+p24.04+vstable+git20250930.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:57:37 +0000

## kmailtransport 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -59,8 +59,8 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.5.1")
-set(KGAPI_LIB_VERSION "6.5.1")
+set(KSMTP_LIB_VERSION "6.5.2")
+set(KGAPI_LIB_VERSION "6.5.2")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 ########### Find packages ###########

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

macro(add_mailtransport_test _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        LINK_LIBRARIES KPim6MailTransport
        Qt::Test Qt::Widgets
    )
endmacro()

add_mailtransport_test(transporttreeviewtest.cpp)

=== src/tests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(
    transportmgr
    transportmgr.cpp
    transportmgr.h
)
ecm_mark_as_test(transportmgr)
target_link_libraries(
    transportmgr
    KPim6MailTransport
    Qt::Widgets
    KF6::I18n
    KF6::ConfigGui
    KF6::CoreAddons
)

####
add_executable(servertest servertest.cpp)
ecm_mark_as_test(servertest)
target_link_libraries(
    servertest
    KPim6MailTransport
    KF6::I18n
    KF6::ConfigGui
    Qt::Widgets
)

####
add_executable(
    addtransportdialogng_gui
    addtransportdialogng_gui.cpp
    addtransportdialogng_gui.h
)
ecm_mark_as_test(addtransportdialogng_gui)
target_link_libraries(
    addtransportdialogng_gui
    KPim6MailTransport
    KF6::I18n
    KF6::ConfigGui
    Qt::Widgets
)

####
add_executable(transportcombobox_gui transportcombobox_gui.cpp)
ecm_mark_as_test(transportcombobox_gui)
target_link_libraries(
    transportcombobox_gui
    KPim6MailTransport
    KF6::I18n
    KF6::ConfigGui
    Qt::Widgets
)

####
add_executable(transporttreeview_gui transporttreeview_gui.cpp)
ecm_mark_as_test(transporttreeview_gui)
target_link_libraries(
    transporttreeview_gui
    KPim6MailTransport
    KF6::I18n
    Qt::Widgets
    Qt::Gui
)

####
add_executable(transportmanagementwidgetng_gui transportmanagementwidgetng_gui.cpp)
ecm_mark_as_test(transportmanagementwidgetng_gui)
target_link_libraries(
    transportmanagementwidgetng_gui
    KPim6MailTransport
    KF6::I18n
    Qt::Widgets
    Qt::Gui
)

=== src/plugins/smtp/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
kcoreaddons_add_plugin(mailtransport_smtpplugin INSTALL_NAMESPACE "pim6/mailtransport")

target_sources(
    mailtransport_smtpplugin
    PRIVATE
        smtpmailtransportplugin.cpp
        smtpconfigdialog.cpp
        smtpjob.cpp
        smtpconfigwidget.cpp
        smtpconfigdialog.h
        smtpjob.h
        sessionuiproxy.h
        smtpmailtransportplugin.h
        smtpconfigwidget.h
        xoauthpasswordrequester.cpp
        gmailpasswordrequester.cpp
        outlookpasswordrequester.cpp
)
ki18n_wrap_ui(mailtransport_smtpplugin
    smtpsettings.ui
)
ecm_qt_declare_logging_category(mailtransport_smtpplugin HEADER mailtransportplugin_smtp_debug.h IDENTIFIER MAILTRANSPORT_SMTP_LOG CATEGORY_NAME org.kde.pim.mailtransport.smtpplugin
        DESCRIPTION "kmailtransport (smtp plugin)"
        OLD_CATEGORY_NAMES log_smtp
        EXPORT MAILTRANSPORT
)

target_link_libraries(
    mailtransport_smtpplugin
    KPim6::MailTransport
    KF6::I18n
    KF6::ConfigWidgets
    KF6::KIOWidgets
    KPim6::SMTP
    KPim6::GAPICore
    qt6keychain
)

=== debian/changelog ===
kmailtransport (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.08.1~),
-               libksmtp-dev (>= 25.08.1~),
+               libkgapi-dev (>= 25.08.2~),
+               libksmtp-dev (>= 25.08.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## kmailtransport 25.08.2+p24.04+vstable+git20251015.1829

=== debian/changelog ===
kmailtransport (25.08.2+p24.04+vstable+git20251015.1829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:29:32 +0000

kmailtransport (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:15:38 +0000

## kmailtransport 25.08.2+p24.04+vstable+git20251019.0629

=== debian/changelog ===
kmailtransport (25.08.2+p24.04+vstable+git20251019.0629-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:29:44 +0000

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kwallet-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kmime-dev,
               kpim6-ksmtp-dev,
               kpim6-libkgapi-dev,
               libsasl2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Git: https://invent.kde.org/neon/kde/kmailtransport.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmailtransport
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kmailtransport
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport-data (<< 24.02)
Replaces: kde-config-mailtransport,
          kio-smtp,
          kmailtransport-akonadi,
          libkf5mailtransport-data (<< 24.02),
          libkf5mailtransport5,
          libkf5mailtransportakonadi5,
          libkf6mailtransport-data,
          libkf6mailtransport6,
          libkf6mailtransportakonadi6,
          libkpim5mailtransport-data,
          libkpim6mailtransport-data,
          libkpim6mailtransport6,
          libkpim6mailtransportakonadi6
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: kpim6-kmailtransport-dev
Section: libdevel
Architecture: any
Depends: kf6-kwallet-dev,
         kpim6-akonadi-mime-dev,
         kpim6-kmailtransport (= ${binary:Version}),
         kpim6-kmime-dev,
         libsasl2-dev,
         ${misc:Depends}
Replaces: libkf5mailtransport-dev, libkf6mailtransport-dev
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkpim6mailtransport-dev
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailtransport-data
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailtransport6
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailtransportakonadi6
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6mailtransport6
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6mailtransportakonadi6
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6mailtransport-dev
Architecture: all
Depends: kpim6-kmailtransport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6mailtransport-data
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailtransport5
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailtransportakonadi5
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailtransport-dev
Architecture: all
Depends: kpim6-kmailtransport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailtransport-data
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kde-config-mailtransport
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kmailtransport-akonadi
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kio-smtp
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5mailtransport-data
Architecture: all
Depends: kpim6-kmailtransport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kmailtransport 25.08.2+p24.04+vunstable+git20251015.1829

=== debian/changelog ===
kmailtransport (25.08.2+p24.04+vunstable+git20251015.1829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:29:35 +0000

## kmailtransport 25.08.2+p24.04+vunstable+git20251020.0538

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -59,8 +60,8 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.5.2")
-set(KGAPI_LIB_VERSION "6.5.2")
+set(KSMTP_LIB_VERSION "6.5.40")
+set(KGAPI_LIB_VERSION "6.5.40")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 ########### Find packages ###########
@@ -85,7 +86,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 if(BUILD_TESTING)
     find_package(Qt6Test CONFIG REQUIRED)

=== debian/changelog ===
kmailtransport (25.08.2+p24.04+vunstable+git20251020.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:38:23 +0000

## kmailtransport 25.08.2+p24.04+vunstable+git20251022.0111

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kmailtransport (25.08.2+p24.04+vunstable+git20251022.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 01:11:06 +0000

## kmailtransport 25.08.3

=== debian/changelog ===
kmailtransport (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:23:41 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkgapi-dev (>= 25.08.3~),
               libksmtp-dev (>= 25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kmailtransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
Rules-Requires-Root: no

Package: kmailtransport-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport akonadi library - plugins
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the SMTP plugin.

Package: libkmailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
Replaces: libkf5mailtransport-data,
          libkf5mailtransport5 (<< 20.04.1-2~),
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkmailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-dev (>= 6.3.0~),
         libkpim6mailtransport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkpim6mailtransport6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkmailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.

## kmailtransport 25.08.3+p24.04+vunstable+git20251204.0628

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.19.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -47,7 +46,7 @@
 include(ECMFeatureSummary)
 include(ECMAddQch)
 
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(
@@ -60,9 +59,9 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.5.40")
-set(KGAPI_LIB_VERSION "6.5.40")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(KSMTP_LIB_VERSION "6.6.40")
+set(KGAPI_LIB_VERSION "6.6.40")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 
 ########### Find packages ###########
 find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
@@ -86,7 +85,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(BUILD_TESTING)
     find_package(Qt6Test CONFIG REQUIRED)

=== debian/changelog ===
kmailtransport (25.08.3+p24.04+vunstable+git20251204.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:28:15 +0000

kmailtransport (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:18 +1000

## kmailtransport 25.08.3+p24.04+vunstable+git20251206.0802

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kmailtransport (25.08.3+p24.04+vunstable+git20251206.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:02:33 +0000

## kmailtransport 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -46,7 +47,7 @@
 include(ECMFeatureSummary)
 include(ECMAddQch)
 
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(
@@ -59,9 +60,9 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.6.40")
-set(KGAPI_LIB_VERSION "6.6.40")
-set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(KSMTP_LIB_VERSION "6.5.80")
+set(KGAPI_LIB_VERSION "6.5.80")
+set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 ########### Find packages ###########
 find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kmailtransport (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:58:21 +0000

kmailtransport (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:25:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6configwidgets-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkgapi-dev (>= 25.08.3~),
-               libksmtp-dev (>= 25.08.3~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkgapi-dev (>= 25.11.80~),
+               libksmtp-dev (>= 25.11.80~),
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: mail transport akonadi library - plugins
  Mailtransport is a library that provides the following functionality:
  .
@@ -43,8 +42,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
-Replaces: libkf5mailtransport-data,
+Breaks: libkpim5mailtransport-data,
+        libkf5mailtransport-data,
+        libkf5mailtransport5 (<< 20.04.1-2~),
+Replaces: libkpim5mailtransport-data,
+          libkf5mailtransport-data,
           libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
@@ -64,7 +66,7 @@
 Multi-Arch: same
 Depends: libkf6config-dev (>= 6.3.0~),
          libkpim6mailtransport6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: mail transport service library - development files
  Mailtransport is a library that provides the following functionality:

## kmailtransport 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -60,8 +60,8 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.5.80")
-set(KGAPI_LIB_VERSION "6.5.80")
+set(KSMTP_LIB_VERSION "6.5.90")
+set(KGAPI_LIB_VERSION "6.5.90")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 ########### Find packages ###########

=== debian/changelog ===
kmailtransport (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:26 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.11.80~),
-               libksmtp-dev (>= 25.11.80~),
+               libkgapi-dev (>= 25.11.90~),
+               libksmtp-dev (>= 25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## kmailtransport 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -60,8 +60,8 @@
 
 set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})
 
-set(KSMTP_LIB_VERSION "6.5.90")
-set(KGAPI_LIB_VERSION "6.5.90")
+set(KSMTP_LIB_VERSION "6.6.0")
+set(KGAPI_LIB_VERSION "6.6.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 ########### Find packages ###########

=== debian/changelog ===
kmailtransport (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:25:05 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.11.90~),
-               libksmtp-dev (>= 25.11.90~),
+               libkgapi-dev (>= 25.12.0~),
+               libksmtp-dev (>= 25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## kmailtransport 25.12.0+p24.04+vstable+git20251222.0558

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 project(MailTransport VERSION ${PIM_VERSION})
 
 # ECM setup

=== debian/changelog ===
kmailtransport (25.12.0+p24.04+vstable+git20251222.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:58:12 +0000

kmailtransport (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:16 +1000

## kmailtransport 25.12.0+p24.04+vstable+git20251231.0158

=== debian/changelog ===
kmailtransport (25.12.0+p24.04+vstable+git20251231.0158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:58:03 +0000
